import{S as sl,i as rl,s as al,e as a,k as f,w as x,t as m,M as il,c as i,d as o,m as g,a as l,x as w,h as p,b as q,G as e,g as k,y as b,q as T,o as M,B as O,v as ll,L as D}from"../../../chunks/vendor-hf-doc-builder.js";import{T as eo}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as L}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as be}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as I}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function ml(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function pl(E){let s,_,d,u,h;return u=new L({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=a("p"),_=m("Example of feature extraction:"),d=f(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of feature extraction:"),r.forEach(o),d=g(n),w(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),h=!0},p:D,i(n){h||(T(u.$$.fragment,n),h=!0)},o(n){M(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),O(u,n)}}}function dl(E){let s,_,d,u,h,n,r,y;return r=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipeline"),h=m(":"),n=f(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var j=l(d);u=p(j,"transformers.pipeline"),j.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),w(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),k(c,n,v),b(r,c,v),y=!0},p:D,i(c){y||(T(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),O(r,c)}}}function cl(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function ul(E){let s,_,d,u,h;return u=new L({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=a("p"),_=m("Example of question answering:"),d=f(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of question answering:"),r.forEach(o),d=g(n),w(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),h=!0},p:D,i(n){h||(T(u.$$.fragment,n),h=!0)},o(n){M(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),O(u,n)}}}function fl(E){let s,_,d,u,h,n,r,y;return r=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipeline"),h=m(":"),n=f(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var j=l(d);u=p(j,"transformers.pipeline"),j.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),w(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),k(c,n,v),b(r,c,v),y=!0},p:D,i(c){y||(T(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),O(r,c)}}}function gl(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function hl(E){let s,_,d,u,h;return u=new L({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=a("p"),_=m("Example of single-label classification:"),d=f(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of single-label classification:"),r.forEach(o),d=g(n),w(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),h=!0},p:D,i(n){h||(T(u.$$.fragment,n),h=!0)},o(n){M(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),O(u,n)}}}function _l(E){let s,_,d,u,h,n,r,y;return r=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipelines"),h=m(":"),n=f(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var j=l(d);u=p(j,"transformers.pipelines"),j.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),w(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),k(c,n,v),b(r,c,v),y=!0},p:D,i(c){y||(T(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),O(r,c)}}}function $l(E){let s,_,d,u,h,n,r,y;return r=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=<span class="hljs-literal">True</span>)`}}),{c(){s=a("p"),_=m("Example using zero-shot-classification "),d=a("code"),u=m("transformers.pipelines"),h=m(":"),n=f(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using zero-shot-classification "),d=i(v,"CODE",{});var j=l(d);u=p(j,"transformers.pipelines"),j.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),w(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),k(c,n,v),b(r,c,v),y=!0},p:D,i(c){y||(T(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),O(r,c)}}}function vl(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function kl(E){let s,_,d,u,h;return u=new L({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=a("p"),_=m("Example of token classification:"),d=f(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of token classification:"),r.forEach(o),d=g(n),w(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),h=!0},p:D,i(n){h||(T(u.$$.fragment,n),h=!0)},o(n){M(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),O(u,n)}}}function xl(E){let s,_,d,u,h,n,r,y;return r=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipelines"),h=m(":"),n=f(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var j=l(d);u=p(j,"transformers.pipelines"),j.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),w(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),k(c,n,v),b(r,c,v),y=!0},p:D,i(c){y||(T(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),O(r,c)}}}function wl(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function bl(E){let s,_,d,u,h;return u=new L({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=m("Example of text generation:"),d=f(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of text generation:"),r.forEach(o),d=g(n),w(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),h=!0},p:D,i(n){h||(T(u.$$.fragment,n),h=!0)},o(n){M(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),O(u,n)}}}function Tl(E){let s,_,d,u,h,n,r,y;return r=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipelines"),h=m(":"),n=f(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var j=l(d);u=p(j,"transformers.pipelines"),j.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),w(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),k(c,n,v),b(r,c,v),y=!0},p:D,i(c){y||(T(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),O(r,c)}}}function Ml(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function Ol(E){let s,_,d,u,h;return u=new L({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=m("Example of text generation:"),d=f(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of text generation:"),r.forEach(o),d=g(n),w(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),h=!0},p:D,i(n){h||(T(u.$$.fragment,n),h=!0)},o(n){M(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),O(u,n)}}}function yl(E){let s,_,d,u,h,n,r,y;return r=new L({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipeline"),h=m(":"),n=f(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var j=l(d);u=p(j,"transformers.pipeline"),j.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),w(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),k(c,n,v),b(r,c,v),y=!0},p:D,i(c){y||(T(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),O(r,c)}}}function ql(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function El(E){let s,_,d,u,h;return u=new L({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=m("Example of image classification:"),d=f(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of image classification:"),r.forEach(o),d=g(n),w(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),h=!0},p:D,i(n){h||(T(u.$$.fragment,n),h=!0)},o(n){M(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),O(u,n)}}}function jl(E){let s,_,d,u,h,n,r,y;return r=new L({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipeline"),h=m(":"),n=f(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var j=l(d);u=p(j,"transformers.pipeline"),j.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),w(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),k(c,n,v),b(r,c,v),y=!0},p:D,i(c){y||(T(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),O(r,c)}}}function Rl(E){let s,_,d,u,h,n,r,y,c,v,j,Te,po,lt,rs,co,as,yn,N,mt,is,pt,ls,uo,ms,ps,ds,Me,dt,cs,fo,us,fs,Oe,ct,gs,ut,hs,go,_s,$s,vs,ye,ft,ks,ho,xs,qn,me,qe,_o,gt,ws,$o,bs,En,F,ht,Ts,vo,Ms,Os,_t,ys,ko,qs,Es,js,xo,Rs,Fs,Q,$t,zs,pe,Cs,wo,As,Ps,bo,Ss,Ns,Is,Ee,Ds,je,Ls,Re,Qs,Fe,vt,Xs,To,Hs,jn,de,ze,Mo,kt,Ws,Oo,Vs,Rn,z,xt,Bs,yo,Us,Gs,wt,Js,qo,Ys,Ks,Zs,Eo,er,tr,X,bt,or,ce,nr,jo,sr,rr,Ro,ar,ir,lr,Ce,mr,Ae,pr,Pe,dr,Se,Tt,cr,Fo,ur,Fn,ue,Ne,zo,Mt,fr,Co,gr,zn,C,Ot,hr,Ao,_r,$r,yt,vr,Po,kr,xr,wr,So,br,Tr,S,qt,Mr,fe,Or,No,yr,qr,Io,Er,jr,Rr,Ie,Fr,De,zr,Le,Cr,Qe,Ar,Xe,Et,Pr,Do,Sr,Cn,ge,He,Lo,jt,Nr,Qo,Ir,An,A,Rt,Dr,Xo,Lr,Qr,Ft,Xr,Ho,Hr,Wr,Vr,Wo,Br,Ur,H,zt,Gr,he,Jr,Vo,Yr,Kr,Bo,Zr,ea,ta,We,oa,Ve,na,Be,sa,Ue,Ct,ra,Uo,aa,Pn,_e,Ge,Go,At,ia,Jo,la,Sn,te,Pt,ma,Yo,pa,da,W,St,ca,$e,ua,Ko,fa,ga,Zo,ha,_a,$a,Je,va,Ye,ka,Ke,Nn,ve,Ze,en,Nt,xa,tn,wa,In,oe,It,ba,on,Ta,Ma,V,Dt,Oa,ke,ya,nn,qa,Ea,sn,ja,Ra,Fa,et,za,tt,Ca,ot,Dn,xe,nt,rn,Lt,Aa,an,Pa,Ln,P,Qt,Sa,ln,Na,Ia,Xt,Da,mn,La,Qa,Xa,pn,Ha,Wa,B,Ht,Va,we,Ba,dn,Ua,Ga,cn,Ja,Ya,Ka,st,Za,rt,ei,at,ti,it,Wt,oi,un,ni,Qn;return n=new be({}),lt=new be({}),mt=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession = None"},{name:"config",val:": PretrainedConfig = None"},{name:"use_io_binding",val:": bool = True"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L115"}}),dt=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": typing.Optional[str] = ''"},{name:"provider",val:": typing.Optional[str] = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Optional[typing.Dict] = None"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>) &#x2014;
ONNX Runtime providers to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers. Defaults to <code>CPUExecutionProvider</code>.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>onnxruntime.SessionOptions</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model. Defaults to <code>None</code>.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Dict</code>, <strong>optional</strong>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> . Defaults to <code>None</code>.`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L244",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),ct=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": typing.Optional[str] = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Optional[typing.Dict] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>str</code> or <code>Path</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers. Defaults to <code>CPUExecutionProvider</code>.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>onnxruntime.SessionOptions</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model. Defaults to <code>None</code>.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Dict</code>, <strong>optional</strong>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> . Defaults to <code>None</code>.`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L189"}}),ft=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L163",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),gt=new be({}),ht=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L463"}}),$t=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L549"}}),Ee=new eo({props:{$$slots:{default:[ml]},$$scope:{ctx:E}}}),je=new I({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[pl]},$$scope:{ctx:E}}}),Re=new I({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[dl]},$$scope:{ctx:E}}}),vt=new R({props:{name:"prepare_output_buffer",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.prepare_output_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"hidden_size",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L478"}}),kt=new be({}),xt=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L637"}}),bt=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L731"}}),Ce=new eo({props:{$$slots:{default:[cl]},$$scope:{ctx:E}}}),Ae=new I({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[ul]},$$scope:{ctx:E}}}),Pe=new I({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[fl]},$$scope:{ctx:E}}}),Tt=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L652"}}),Mt=new be({}),Ot=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L839"}}),qt=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L924"}}),Ie=new eo({props:{$$slots:{default:[gl]},$$scope:{ctx:E}}}),De=new I({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[hl]},$$scope:{ctx:E}}}),Le=new I({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[_l]},$$scope:{ctx:E}}}),Qe=new I({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[$l]},$$scope:{ctx:E}}}),Et=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L855"}}),jt=new be({}),Rt=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1012"}}),zt=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1097"}}),We=new eo({props:{$$slots:{default:[vl]},$$scope:{ctx:E}}}),Ve=new I({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[kl]},$$scope:{ctx:E}}}),Be=new I({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[xl]},$$scope:{ctx:E}}}),Ct=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1027"}}),At=new be({}),Pt=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L687"}}),St=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L700"}}),Je=new eo({props:{$$slots:{default:[wl]},$$scope:{ctx:E}}}),Ye=new I({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[bl]},$$scope:{ctx:E}}}),Ke=new I({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[Tl]},$$scope:{ctx:E}}}),Nt=new be({}),It=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1144"}}),Dt=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1179"}}),et=new eo({props:{$$slots:{default:[Ml]},$$scope:{ctx:E}}}),tt=new I({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[Ol]},$$scope:{ctx:E}}}),ot=new I({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[yl]},$$scope:{ctx:E}}}),Lt=new be({}),Qt=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1351"}}),Ht=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1408"}}),st=new eo({props:{$$slots:{default:[ql]},$$scope:{ctx:E}}}),rt=new I({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[El]},$$scope:{ctx:E}}}),at=new I({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[jl]},$$scope:{ctx:E}}}),Wt=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForImageClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1366"}}),{c(){s=a("meta"),_=f(),d=a("h1"),u=a("a"),h=a("span"),x(n.$$.fragment),r=f(),y=a("span"),c=m("Models"),v=f(),j=a("h2"),Te=a("a"),po=a("span"),x(lt.$$.fragment),rs=f(),co=a("span"),as=m("ORTModel"),yn=f(),N=a("div"),x(mt.$$.fragment),is=f(),pt=a("p"),ls=m(`Base ORTModel class for implementing models using ONNX Runtime. The ORTModel implements generic methods for interacting
with the Hugging Face Hub as well as exporting vanilla transformers models to ONNX using `),uo=a("code"),ms=m("transformers.onnx"),ps=m(` toolchain.
The ORTModel implements additionally generic methods for optimizing and quantizing Onnx models.`),ds=f(),Me=a("div"),x(dt.$$.fragment),cs=f(),fo=a("p"),us=m("Instantiate a pretrained model from a pre-trained model configuration."),fs=f(),Oe=a("div"),x(ct.$$.fragment),gs=f(),ut=a("p"),hs=m("Loads an ONNX Inference session with a given provider. Default provider is "),go=a("code"),_s=m("CPUExecutionProvider"),$s=m(" to match the default behaviour in PyTorch/TensorFlow/JAX."),vs=f(),ye=a("div"),x(ft.$$.fragment),ks=f(),ho=a("p"),xs=m("Changes the ONNX Runtime provider according to the device."),qn=f(),me=a("h2"),qe=a("a"),_o=a("span"),x(gt.$$.fragment),ws=f(),$o=a("span"),bs=m("ORTModelForFeatureExtraction"),En=f(),F=a("div"),x(ht.$$.fragment),Ts=f(),vo=a("p"),Ms=m("Onnx Model with a MaskedLMOutput for feature-extraction tasks."),Os=f(),_t=a("p"),ys=m("This model inherits from [~"),ko=a("code"),qs=m("onnxruntime.modeling_ort.ORTModel"),Es=m(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),js=f(),xo=a("p"),Rs=m("Feature Extraction model for ONNX."),Fs=f(),Q=a("div"),x($t.$$.fragment),zs=f(),pe=a("p"),Cs=m("The "),wo=a("code"),As=m("ORTModelForFeatureExtraction"),Ps=m(" forward method, overrides the "),bo=a("code"),Ss=m("__call__"),Ns=m(" special method."),Is=f(),x(Ee.$$.fragment),Ds=f(),x(je.$$.fragment),Ls=f(),x(Re.$$.fragment),Qs=f(),Fe=a("div"),x(vt.$$.fragment),Xs=f(),To=a("p"),Hs=m("Prepare the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),jn=f(),de=a("h2"),ze=a("a"),Mo=a("span"),x(kt.$$.fragment),Ws=f(),Oo=a("span"),Vs=m("ORTModelForQuestionAnswering"),Rn=f(),z=a("div"),x(xt.$$.fragment),Bs=f(),yo=a("p"),Us=m("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Gs=f(),wt=a("p"),Js=m("This model inherits from [~"),qo=a("code"),Ys=m("onnxruntime.modeling_ort.ORTModel"),Ks=m(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Zs=f(),Eo=a("p"),er=m("Question Answering model for ONNX."),tr=f(),X=a("div"),x(bt.$$.fragment),or=f(),ce=a("p"),nr=m("The "),jo=a("code"),sr=m("ORTModelForQuestionAnswering"),rr=m(" forward method, overrides the "),Ro=a("code"),ar=m("__call__"),ir=m(" special method."),lr=f(),x(Ce.$$.fragment),mr=f(),x(Ae.$$.fragment),pr=f(),x(Pe.$$.fragment),dr=f(),Se=a("div"),x(Tt.$$.fragment),cr=f(),Fo=a("p"),ur=m("Prepare the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),Fn=f(),ue=a("h2"),Ne=a("a"),zo=a("span"),x(Mt.$$.fragment),fr=f(),Co=a("span"),gr=m("ORTModelForSequenceClassification"),zn=f(),C=a("div"),x(Ot.$$.fragment),hr=f(),Ao=a("p"),_r=m(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),$r=f(),yt=a("p"),vr=m("This model inherits from [~"),Po=a("code"),kr=m("onnxruntime.modeling_ort.ORTModel"),xr=m(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),wr=f(),So=a("p"),br=m("Sequence Classification model for ONNX."),Tr=f(),S=a("div"),x(qt.$$.fragment),Mr=f(),fe=a("p"),Or=m("The "),No=a("code"),yr=m("ORTModelForSequenceClassification"),qr=m(" forward method, overrides the "),Io=a("code"),Er=m("__call__"),jr=m(" special method."),Rr=f(),x(Ie.$$.fragment),Fr=f(),x(De.$$.fragment),zr=f(),x(Le.$$.fragment),Cr=f(),x(Qe.$$.fragment),Ar=f(),Xe=a("div"),x(Et.$$.fragment),Pr=f(),Do=a("p"),Sr=m("Prepare the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Cn=f(),ge=a("h2"),He=a("a"),Lo=a("span"),x(jt.$$.fragment),Nr=f(),Qo=a("span"),Ir=m("ORTModelForTokenClassification"),An=f(),A=a("div"),x(Rt.$$.fragment),Dr=f(),Xo=a("p"),Lr=m(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Qr=f(),Ft=a("p"),Xr=m("This model inherits from [~"),Ho=a("code"),Hr=m("onnxruntime.modeling_ort.ORTModel"),Wr=m(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Vr=f(),Wo=a("p"),Br=m("Token Classification model for ONNX."),Ur=f(),H=a("div"),x(zt.$$.fragment),Gr=f(),he=a("p"),Jr=m("The "),Vo=a("code"),Yr=m("ORTModelForTokenClassification"),Kr=m(" forward method, overrides the "),Bo=a("code"),Zr=m("__call__"),ea=m(" special method."),ta=f(),x(We.$$.fragment),oa=f(),x(Ve.$$.fragment),na=f(),x(Be.$$.fragment),sa=f(),Ue=a("div"),x(Ct.$$.fragment),ra=f(),Uo=a("p"),aa=m("Prepare the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),Pn=f(),_e=a("h2"),Ge=a("a"),Go=a("span"),x(At.$$.fragment),ia=f(),Jo=a("span"),la=m("ORTModelForCausalLM"),Sn=f(),te=a("div"),x(Pt.$$.fragment),ma=f(),Yo=a("p"),pa=m("ONNX model with a causal language modeling head for ONNX Runtime inference."),da=f(),W=a("div"),x(St.$$.fragment),ca=f(),$e=a("p"),ua=m("The "),Ko=a("code"),fa=m("ORTModelForCausalLM"),ga=m(" forward method, overrides the "),Zo=a("code"),ha=m("__call__"),_a=m(" special method."),$a=f(),x(Je.$$.fragment),va=f(),x(Ye.$$.fragment),ka=f(),x(Ke.$$.fragment),Nn=f(),ve=a("h2"),Ze=a("a"),en=a("span"),x(Nt.$$.fragment),xa=f(),tn=a("span"),wa=m("ORTModelForSeq2SeqLM"),In=f(),oe=a("div"),x(It.$$.fragment),ba=f(),on=a("p"),Ta=m("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Ma=f(),V=a("div"),x(Dt.$$.fragment),Oa=f(),ke=a("p"),ya=m("The "),nn=a("code"),qa=m("ORTModelForSeq2SeqLM"),Ea=m(" forward method, overrides the "),sn=a("code"),ja=m("__call__"),Ra=m(" special method."),Fa=f(),x(et.$$.fragment),za=f(),x(tt.$$.fragment),Ca=f(),x(ot.$$.fragment),Dn=f(),xe=a("h2"),nt=a("a"),rn=a("span"),x(Lt.$$.fragment),Aa=f(),an=a("span"),Pa=m("ORTModelForImageClassification"),Ln=f(),P=a("div"),x(Qt.$$.fragment),Sa=f(),ln=a("p"),Na=m("Onnx Model for image-classification tasks."),Ia=f(),Xt=a("p"),Da=m("This model inherits from [~"),mn=a("code"),La=m("onnxruntime.modeling_ort.ORTModel"),Qa=m(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Xa=f(),pn=a("p"),Ha=m("Image Classification model for ONNX."),Wa=f(),B=a("div"),x(Ht.$$.fragment),Va=f(),we=a("p"),Ba=m("The "),dn=a("code"),Ua=m("ORTModelForImageClassification"),Ga=m(" forward method, overrides the "),cn=a("code"),Ja=m("__call__"),Ya=m(" special method."),Ka=f(),x(st.$$.fragment),Za=f(),x(rt.$$.fragment),ei=f(),x(at.$$.fragment),ti=f(),it=a("div"),x(Wt.$$.fragment),oi=f(),un=a("p"),ni=m("Prepare the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),this.h()},l(t){const $=il('[data-svelte="svelte-1phssyn"]',document.head);s=i($,"META",{name:!0,content:!0}),$.forEach(o),_=g(t),d=i(t,"H1",{class:!0});var Vt=l(d);u=i(Vt,"A",{id:!0,class:!0,href:!0});var fn=l(u);h=i(fn,"SPAN",{});var gn=l(h);w(n.$$.fragment,gn),gn.forEach(o),fn.forEach(o),r=g(Vt),y=i(Vt,"SPAN",{});var hn=l(y);c=p(hn,"Models"),hn.forEach(o),Vt.forEach(o),v=g(t),j=i(t,"H2",{class:!0});var Bt=l(j);Te=i(Bt,"A",{id:!0,class:!0,href:!0});var _n=l(Te);po=i(_n,"SPAN",{});var $n=l(po);w(lt.$$.fragment,$n),$n.forEach(o),_n.forEach(o),rs=g(Bt),co=i(Bt,"SPAN",{});var vn=l(co);as=p(vn,"ORTModel"),vn.forEach(o),Bt.forEach(o),yn=g(t),N=i(t,"DIV",{class:!0});var U=l(N);w(mt.$$.fragment,U),is=g(U),pt=i(U,"P",{});var Ut=l(pt);ls=p(Ut,`Base ORTModel class for implementing models using ONNX Runtime. The ORTModel implements generic methods for interacting
with the Hugging Face Hub as well as exporting vanilla transformers models to ONNX using `),uo=i(Ut,"CODE",{});var kn=l(uo);ms=p(kn,"transformers.onnx"),kn.forEach(o),ps=p(Ut,` toolchain.
The ORTModel implements additionally generic methods for optimizing and quantizing Onnx models.`),Ut.forEach(o),ds=g(U),Me=i(U,"DIV",{class:!0});var Gt=l(Me);w(dt.$$.fragment,Gt),cs=g(Gt),fo=i(Gt,"P",{});var xn=l(fo);us=p(xn,"Instantiate a pretrained model from a pre-trained model configuration."),xn.forEach(o),Gt.forEach(o),fs=g(U),Oe=i(U,"DIV",{class:!0});var Jt=l(Oe);w(ct.$$.fragment,Jt),gs=g(Jt),ut=i(Jt,"P",{});var Yt=l(ut);hs=p(Yt,"Loads an ONNX Inference session with a given provider. Default provider is "),go=i(Yt,"CODE",{});var wn=l(go);_s=p(wn,"CPUExecutionProvider"),wn.forEach(o),$s=p(Yt," to match the default behaviour in PyTorch/TensorFlow/JAX."),Yt.forEach(o),Jt.forEach(o),vs=g(U),ye=i(U,"DIV",{class:!0});var Kt=l(ye);w(ft.$$.fragment,Kt),ks=g(Kt),ho=i(Kt,"P",{});var bn=l(ho);xs=p(bn,"Changes the ONNX Runtime provider according to the device."),bn.forEach(o),Kt.forEach(o),U.forEach(o),qn=g(t),me=i(t,"H2",{class:!0});var Zt=l(me);qe=i(Zt,"A",{id:!0,class:!0,href:!0});var Tn=l(qe);_o=i(Tn,"SPAN",{});var Mn=l(_o);w(gt.$$.fragment,Mn),Mn.forEach(o),Tn.forEach(o),ws=g(Zt),$o=i(Zt,"SPAN",{});var On=l($o);bs=p(On,"ORTModelForFeatureExtraction"),On.forEach(o),Zt.forEach(o),En=g(t),F=i(t,"DIV",{class:!0});var G=l(F);w(ht.$$.fragment,G),Ts=g(G),vo=i(G,"P",{});var si=l(vo);Ms=p(si,"Onnx Model with a MaskedLMOutput for feature-extraction tasks."),si.forEach(o),Os=g(G),_t=i(G,"P",{});var Xn=l(_t);ys=p(Xn,"This model inherits from [~"),ko=i(Xn,"CODE",{});var ri=l(ko);qs=p(ri,"onnxruntime.modeling_ort.ORTModel"),ri.forEach(o),Es=p(Xn,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Xn.forEach(o),js=g(G),xo=i(G,"P",{});var ai=l(xo);Rs=p(ai,"Feature Extraction model for ONNX."),ai.forEach(o),Fs=g(G),Q=i(G,"DIV",{class:!0});var ne=l(Q);w($t.$$.fragment,ne),zs=g(ne),pe=i(ne,"P",{});var to=l(pe);Cs=p(to,"The "),wo=i(to,"CODE",{});var ii=l(wo);As=p(ii,"ORTModelForFeatureExtraction"),ii.forEach(o),Ps=p(to," forward method, overrides the "),bo=i(to,"CODE",{});var li=l(bo);Ss=p(li,"__call__"),li.forEach(o),Ns=p(to," special method."),to.forEach(o),Is=g(ne),w(Ee.$$.fragment,ne),Ds=g(ne),w(je.$$.fragment,ne),Ls=g(ne),w(Re.$$.fragment,ne),ne.forEach(o),Qs=g(G),Fe=i(G,"DIV",{class:!0});var Hn=l(Fe);w(vt.$$.fragment,Hn),Xs=g(Hn),To=i(Hn,"P",{});var mi=l(To);Hs=p(mi,"Prepare the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),mi.forEach(o),Hn.forEach(o),G.forEach(o),jn=g(t),de=i(t,"H2",{class:!0});var Wn=l(de);ze=i(Wn,"A",{id:!0,class:!0,href:!0});var pi=l(ze);Mo=i(pi,"SPAN",{});var di=l(Mo);w(kt.$$.fragment,di),di.forEach(o),pi.forEach(o),Ws=g(Wn),Oo=i(Wn,"SPAN",{});var ci=l(Oo);Vs=p(ci,"ORTModelForQuestionAnswering"),ci.forEach(o),Wn.forEach(o),Rn=g(t),z=i(t,"DIV",{class:!0});var J=l(z);w(xt.$$.fragment,J),Bs=g(J),yo=i(J,"P",{});var ui=l(yo);Us=p(ui,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),ui.forEach(o),Gs=g(J),wt=i(J,"P",{});var Vn=l(wt);Js=p(Vn,"This model inherits from [~"),qo=i(Vn,"CODE",{});var fi=l(qo);Ys=p(fi,"onnxruntime.modeling_ort.ORTModel"),fi.forEach(o),Ks=p(Vn,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Vn.forEach(o),Zs=g(J),Eo=i(J,"P",{});var gi=l(Eo);er=p(gi,"Question Answering model for ONNX."),gi.forEach(o),tr=g(J),X=i(J,"DIV",{class:!0});var se=l(X);w(bt.$$.fragment,se),or=g(se),ce=i(se,"P",{});var oo=l(ce);nr=p(oo,"The "),jo=i(oo,"CODE",{});var hi=l(jo);sr=p(hi,"ORTModelForQuestionAnswering"),hi.forEach(o),rr=p(oo," forward method, overrides the "),Ro=i(oo,"CODE",{});var _i=l(Ro);ar=p(_i,"__call__"),_i.forEach(o),ir=p(oo," special method."),oo.forEach(o),lr=g(se),w(Ce.$$.fragment,se),mr=g(se),w(Ae.$$.fragment,se),pr=g(se),w(Pe.$$.fragment,se),se.forEach(o),dr=g(J),Se=i(J,"DIV",{class:!0});var Bn=l(Se);w(Tt.$$.fragment,Bn),cr=g(Bn),Fo=i(Bn,"P",{});var $i=l(Fo);ur=p($i,"Prepare the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),$i.forEach(o),Bn.forEach(o),J.forEach(o),Fn=g(t),ue=i(t,"H2",{class:!0});var Un=l(ue);Ne=i(Un,"A",{id:!0,class:!0,href:!0});var vi=l(Ne);zo=i(vi,"SPAN",{});var ki=l(zo);w(Mt.$$.fragment,ki),ki.forEach(o),vi.forEach(o),fr=g(Un),Co=i(Un,"SPAN",{});var xi=l(Co);gr=p(xi,"ORTModelForSequenceClassification"),xi.forEach(o),Un.forEach(o),zn=g(t),C=i(t,"DIV",{class:!0});var Y=l(C);w(Ot.$$.fragment,Y),hr=g(Y),Ao=i(Y,"P",{});var wi=l(Ao);_r=p(wi,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),wi.forEach(o),$r=g(Y),yt=i(Y,"P",{});var Gn=l(yt);vr=p(Gn,"This model inherits from [~"),Po=i(Gn,"CODE",{});var bi=l(Po);kr=p(bi,"onnxruntime.modeling_ort.ORTModel"),bi.forEach(o),xr=p(Gn,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Gn.forEach(o),wr=g(Y),So=i(Y,"P",{});var Ti=l(So);br=p(Ti,"Sequence Classification model for ONNX."),Ti.forEach(o),Tr=g(Y),S=i(Y,"DIV",{class:!0});var K=l(S);w(qt.$$.fragment,K),Mr=g(K),fe=i(K,"P",{});var no=l(fe);Or=p(no,"The "),No=i(no,"CODE",{});var Mi=l(No);yr=p(Mi,"ORTModelForSequenceClassification"),Mi.forEach(o),qr=p(no," forward method, overrides the "),Io=i(no,"CODE",{});var Oi=l(Io);Er=p(Oi,"__call__"),Oi.forEach(o),jr=p(no," special method."),no.forEach(o),Rr=g(K),w(Ie.$$.fragment,K),Fr=g(K),w(De.$$.fragment,K),zr=g(K),w(Le.$$.fragment,K),Cr=g(K),w(Qe.$$.fragment,K),K.forEach(o),Ar=g(Y),Xe=i(Y,"DIV",{class:!0});var Jn=l(Xe);w(Et.$$.fragment,Jn),Pr=g(Jn),Do=i(Jn,"P",{});var yi=l(Do);Sr=p(yi,"Prepare the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),yi.forEach(o),Jn.forEach(o),Y.forEach(o),Cn=g(t),ge=i(t,"H2",{class:!0});var Yn=l(ge);He=i(Yn,"A",{id:!0,class:!0,href:!0});var qi=l(He);Lo=i(qi,"SPAN",{});var Ei=l(Lo);w(jt.$$.fragment,Ei),Ei.forEach(o),qi.forEach(o),Nr=g(Yn),Qo=i(Yn,"SPAN",{});var ji=l(Qo);Ir=p(ji,"ORTModelForTokenClassification"),ji.forEach(o),Yn.forEach(o),An=g(t),A=i(t,"DIV",{class:!0});var Z=l(A);w(Rt.$$.fragment,Z),Dr=g(Z),Xo=i(Z,"P",{});var Ri=l(Xo);Lr=p(Ri,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Ri.forEach(o),Qr=g(Z),Ft=i(Z,"P",{});var Kn=l(Ft);Xr=p(Kn,"This model inherits from [~"),Ho=i(Kn,"CODE",{});var Fi=l(Ho);Hr=p(Fi,"onnxruntime.modeling_ort.ORTModel"),Fi.forEach(o),Wr=p(Kn,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Kn.forEach(o),Vr=g(Z),Wo=i(Z,"P",{});var zi=l(Wo);Br=p(zi,"Token Classification model for ONNX."),zi.forEach(o),Ur=g(Z),H=i(Z,"DIV",{class:!0});var re=l(H);w(zt.$$.fragment,re),Gr=g(re),he=i(re,"P",{});var so=l(he);Jr=p(so,"The "),Vo=i(so,"CODE",{});var Ci=l(Vo);Yr=p(Ci,"ORTModelForTokenClassification"),Ci.forEach(o),Kr=p(so," forward method, overrides the "),Bo=i(so,"CODE",{});var Ai=l(Bo);Zr=p(Ai,"__call__"),Ai.forEach(o),ea=p(so," special method."),so.forEach(o),ta=g(re),w(We.$$.fragment,re),oa=g(re),w(Ve.$$.fragment,re),na=g(re),w(Be.$$.fragment,re),re.forEach(o),sa=g(Z),Ue=i(Z,"DIV",{class:!0});var Zn=l(Ue);w(Ct.$$.fragment,Zn),ra=g(Zn),Uo=i(Zn,"P",{});var Pi=l(Uo);aa=p(Pi,"Prepare the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),Pi.forEach(o),Zn.forEach(o),Z.forEach(o),Pn=g(t),_e=i(t,"H2",{class:!0});var es=l(_e);Ge=i(es,"A",{id:!0,class:!0,href:!0});var Si=l(Ge);Go=i(Si,"SPAN",{});var Ni=l(Go);w(At.$$.fragment,Ni),Ni.forEach(o),Si.forEach(o),ia=g(es),Jo=i(es,"SPAN",{});var Ii=l(Jo);la=p(Ii,"ORTModelForCausalLM"),Ii.forEach(o),es.forEach(o),Sn=g(t),te=i(t,"DIV",{class:!0});var ro=l(te);w(Pt.$$.fragment,ro),ma=g(ro),Yo=i(ro,"P",{});var Di=l(Yo);pa=p(Di,"ONNX model with a causal language modeling head for ONNX Runtime inference."),Di.forEach(o),da=g(ro),W=i(ro,"DIV",{class:!0});var ae=l(W);w(St.$$.fragment,ae),ca=g(ae),$e=i(ae,"P",{});var ao=l($e);ua=p(ao,"The "),Ko=i(ao,"CODE",{});var Li=l(Ko);fa=p(Li,"ORTModelForCausalLM"),Li.forEach(o),ga=p(ao," forward method, overrides the "),Zo=i(ao,"CODE",{});var Qi=l(Zo);ha=p(Qi,"__call__"),Qi.forEach(o),_a=p(ao," special method."),ao.forEach(o),$a=g(ae),w(Je.$$.fragment,ae),va=g(ae),w(Ye.$$.fragment,ae),ka=g(ae),w(Ke.$$.fragment,ae),ae.forEach(o),ro.forEach(o),Nn=g(t),ve=i(t,"H2",{class:!0});var ts=l(ve);Ze=i(ts,"A",{id:!0,class:!0,href:!0});var Xi=l(Ze);en=i(Xi,"SPAN",{});var Hi=l(en);w(Nt.$$.fragment,Hi),Hi.forEach(o),Xi.forEach(o),xa=g(ts),tn=i(ts,"SPAN",{});var Wi=l(tn);wa=p(Wi,"ORTModelForSeq2SeqLM"),Wi.forEach(o),ts.forEach(o),In=g(t),oe=i(t,"DIV",{class:!0});var io=l(oe);w(It.$$.fragment,io),ba=g(io),on=i(io,"P",{});var Vi=l(on);Ta=p(Vi,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Vi.forEach(o),Ma=g(io),V=i(io,"DIV",{class:!0});var ie=l(V);w(Dt.$$.fragment,ie),Oa=g(ie),ke=i(ie,"P",{});var lo=l(ke);ya=p(lo,"The "),nn=i(lo,"CODE",{});var Bi=l(nn);qa=p(Bi,"ORTModelForSeq2SeqLM"),Bi.forEach(o),Ea=p(lo," forward method, overrides the "),sn=i(lo,"CODE",{});var Ui=l(sn);ja=p(Ui,"__call__"),Ui.forEach(o),Ra=p(lo," special method."),lo.forEach(o),Fa=g(ie),w(et.$$.fragment,ie),za=g(ie),w(tt.$$.fragment,ie),Ca=g(ie),w(ot.$$.fragment,ie),ie.forEach(o),io.forEach(o),Dn=g(t),xe=i(t,"H2",{class:!0});var os=l(xe);nt=i(os,"A",{id:!0,class:!0,href:!0});var Gi=l(nt);rn=i(Gi,"SPAN",{});var Ji=l(rn);w(Lt.$$.fragment,Ji),Ji.forEach(o),Gi.forEach(o),Aa=g(os),an=i(os,"SPAN",{});var Yi=l(an);Pa=p(Yi,"ORTModelForImageClassification"),Yi.forEach(o),os.forEach(o),Ln=g(t),P=i(t,"DIV",{class:!0});var ee=l(P);w(Qt.$$.fragment,ee),Sa=g(ee),ln=i(ee,"P",{});var Ki=l(ln);Na=p(Ki,"Onnx Model for image-classification tasks."),Ki.forEach(o),Ia=g(ee),Xt=i(ee,"P",{});var ns=l(Xt);Da=p(ns,"This model inherits from [~"),mn=i(ns,"CODE",{});var Zi=l(mn);La=p(Zi,"onnxruntime.modeling_ort.ORTModel"),Zi.forEach(o),Qa=p(ns,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ns.forEach(o),Xa=g(ee),pn=i(ee,"P",{});var el=l(pn);Ha=p(el,"Image Classification model for ONNX."),el.forEach(o),Wa=g(ee),B=i(ee,"DIV",{class:!0});var le=l(B);w(Ht.$$.fragment,le),Va=g(le),we=i(le,"P",{});var mo=l(we);Ba=p(mo,"The "),dn=i(mo,"CODE",{});var tl=l(dn);Ua=p(tl,"ORTModelForImageClassification"),tl.forEach(o),Ga=p(mo," forward method, overrides the "),cn=i(mo,"CODE",{});var ol=l(cn);Ja=p(ol,"__call__"),ol.forEach(o),Ya=p(mo," special method."),mo.forEach(o),Ka=g(le),w(st.$$.fragment,le),Za=g(le),w(rt.$$.fragment,le),ei=g(le),w(at.$$.fragment,le),le.forEach(o),ti=g(ee),it=i(ee,"DIV",{class:!0});var ss=l(it);w(Wt.$$.fragment,ss),oi=g(ss),un=i(ss,"P",{});var nl=l(un);ni=p(nl,"Prepare the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),nl.forEach(o),ss.forEach(o),ee.forEach(o),this.h()},h(){q(s,"name","hf:doc:metadata"),q(s,"content",JSON.stringify(Fl)),q(u,"id","models"),q(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(u,"href","#models"),q(d,"class","relative group"),q(Te,"id","optimum.onnxruntime.ORTModel"),q(Te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Te,"href","#optimum.onnxruntime.ORTModel"),q(j,"class","relative group"),q(Me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(qe,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),q(qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(qe,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),q(me,"class","relative group"),q(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ze,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),q(ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(ze,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),q(de,"class","relative group"),q(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ne,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),q(Ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ne,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),q(ue,"class","relative group"),q(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(He,"id","optimum.onnxruntime.ORTModelForTokenClassification"),q(He,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(He,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),q(ge,"class","relative group"),q(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ge,"id","optimum.onnxruntime.ORTModelForCausalLM"),q(Ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ge,"href","#optimum.onnxruntime.ORTModelForCausalLM"),q(_e,"class","relative group"),q(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ze,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(Ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ze,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(ve,"class","relative group"),q(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(nt,"id","optimum.onnxruntime.ORTModelForImageClassification"),q(nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(nt,"href","#optimum.onnxruntime.ORTModelForImageClassification"),q(xe,"class","relative group"),q(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,$){e(document.head,s),k(t,_,$),k(t,d,$),e(d,u),e(u,h),b(n,h,null),e(d,r),e(d,y),e(y,c),k(t,v,$),k(t,j,$),e(j,Te),e(Te,po),b(lt,po,null),e(j,rs),e(j,co),e(co,as),k(t,yn,$),k(t,N,$),b(mt,N,null),e(N,is),e(N,pt),e(pt,ls),e(pt,uo),e(uo,ms),e(pt,ps),e(N,ds),e(N,Me),b(dt,Me,null),e(Me,cs),e(Me,fo),e(fo,us),e(N,fs),e(N,Oe),b(ct,Oe,null),e(Oe,gs),e(Oe,ut),e(ut,hs),e(ut,go),e(go,_s),e(ut,$s),e(N,vs),e(N,ye),b(ft,ye,null),e(ye,ks),e(ye,ho),e(ho,xs),k(t,qn,$),k(t,me,$),e(me,qe),e(qe,_o),b(gt,_o,null),e(me,ws),e(me,$o),e($o,bs),k(t,En,$),k(t,F,$),b(ht,F,null),e(F,Ts),e(F,vo),e(vo,Ms),e(F,Os),e(F,_t),e(_t,ys),e(_t,ko),e(ko,qs),e(_t,Es),e(F,js),e(F,xo),e(xo,Rs),e(F,Fs),e(F,Q),b($t,Q,null),e(Q,zs),e(Q,pe),e(pe,Cs),e(pe,wo),e(wo,As),e(pe,Ps),e(pe,bo),e(bo,Ss),e(pe,Ns),e(Q,Is),b(Ee,Q,null),e(Q,Ds),b(je,Q,null),e(Q,Ls),b(Re,Q,null),e(F,Qs),e(F,Fe),b(vt,Fe,null),e(Fe,Xs),e(Fe,To),e(To,Hs),k(t,jn,$),k(t,de,$),e(de,ze),e(ze,Mo),b(kt,Mo,null),e(de,Ws),e(de,Oo),e(Oo,Vs),k(t,Rn,$),k(t,z,$),b(xt,z,null),e(z,Bs),e(z,yo),e(yo,Us),e(z,Gs),e(z,wt),e(wt,Js),e(wt,qo),e(qo,Ys),e(wt,Ks),e(z,Zs),e(z,Eo),e(Eo,er),e(z,tr),e(z,X),b(bt,X,null),e(X,or),e(X,ce),e(ce,nr),e(ce,jo),e(jo,sr),e(ce,rr),e(ce,Ro),e(Ro,ar),e(ce,ir),e(X,lr),b(Ce,X,null),e(X,mr),b(Ae,X,null),e(X,pr),b(Pe,X,null),e(z,dr),e(z,Se),b(Tt,Se,null),e(Se,cr),e(Se,Fo),e(Fo,ur),k(t,Fn,$),k(t,ue,$),e(ue,Ne),e(Ne,zo),b(Mt,zo,null),e(ue,fr),e(ue,Co),e(Co,gr),k(t,zn,$),k(t,C,$),b(Ot,C,null),e(C,hr),e(C,Ao),e(Ao,_r),e(C,$r),e(C,yt),e(yt,vr),e(yt,Po),e(Po,kr),e(yt,xr),e(C,wr),e(C,So),e(So,br),e(C,Tr),e(C,S),b(qt,S,null),e(S,Mr),e(S,fe),e(fe,Or),e(fe,No),e(No,yr),e(fe,qr),e(fe,Io),e(Io,Er),e(fe,jr),e(S,Rr),b(Ie,S,null),e(S,Fr),b(De,S,null),e(S,zr),b(Le,S,null),e(S,Cr),b(Qe,S,null),e(C,Ar),e(C,Xe),b(Et,Xe,null),e(Xe,Pr),e(Xe,Do),e(Do,Sr),k(t,Cn,$),k(t,ge,$),e(ge,He),e(He,Lo),b(jt,Lo,null),e(ge,Nr),e(ge,Qo),e(Qo,Ir),k(t,An,$),k(t,A,$),b(Rt,A,null),e(A,Dr),e(A,Xo),e(Xo,Lr),e(A,Qr),e(A,Ft),e(Ft,Xr),e(Ft,Ho),e(Ho,Hr),e(Ft,Wr),e(A,Vr),e(A,Wo),e(Wo,Br),e(A,Ur),e(A,H),b(zt,H,null),e(H,Gr),e(H,he),e(he,Jr),e(he,Vo),e(Vo,Yr),e(he,Kr),e(he,Bo),e(Bo,Zr),e(he,ea),e(H,ta),b(We,H,null),e(H,oa),b(Ve,H,null),e(H,na),b(Be,H,null),e(A,sa),e(A,Ue),b(Ct,Ue,null),e(Ue,ra),e(Ue,Uo),e(Uo,aa),k(t,Pn,$),k(t,_e,$),e(_e,Ge),e(Ge,Go),b(At,Go,null),e(_e,ia),e(_e,Jo),e(Jo,la),k(t,Sn,$),k(t,te,$),b(Pt,te,null),e(te,ma),e(te,Yo),e(Yo,pa),e(te,da),e(te,W),b(St,W,null),e(W,ca),e(W,$e),e($e,ua),e($e,Ko),e(Ko,fa),e($e,ga),e($e,Zo),e(Zo,ha),e($e,_a),e(W,$a),b(Je,W,null),e(W,va),b(Ye,W,null),e(W,ka),b(Ke,W,null),k(t,Nn,$),k(t,ve,$),e(ve,Ze),e(Ze,en),b(Nt,en,null),e(ve,xa),e(ve,tn),e(tn,wa),k(t,In,$),k(t,oe,$),b(It,oe,null),e(oe,ba),e(oe,on),e(on,Ta),e(oe,Ma),e(oe,V),b(Dt,V,null),e(V,Oa),e(V,ke),e(ke,ya),e(ke,nn),e(nn,qa),e(ke,Ea),e(ke,sn),e(sn,ja),e(ke,Ra),e(V,Fa),b(et,V,null),e(V,za),b(tt,V,null),e(V,Ca),b(ot,V,null),k(t,Dn,$),k(t,xe,$),e(xe,nt),e(nt,rn),b(Lt,rn,null),e(xe,Aa),e(xe,an),e(an,Pa),k(t,Ln,$),k(t,P,$),b(Qt,P,null),e(P,Sa),e(P,ln),e(ln,Na),e(P,Ia),e(P,Xt),e(Xt,Da),e(Xt,mn),e(mn,La),e(Xt,Qa),e(P,Xa),e(P,pn),e(pn,Ha),e(P,Wa),e(P,B),b(Ht,B,null),e(B,Va),e(B,we),e(we,Ba),e(we,dn),e(dn,Ua),e(we,Ga),e(we,cn),e(cn,Ja),e(we,Ya),e(B,Ka),b(st,B,null),e(B,Za),b(rt,B,null),e(B,ei),b(at,B,null),e(P,ti),e(P,it),b(Wt,it,null),e(it,oi),e(it,un),e(un,ni),Qn=!0},p(t,[$]){const Vt={};$&2&&(Vt.$$scope={dirty:$,ctx:t}),Ee.$set(Vt);const fn={};$&2&&(fn.$$scope={dirty:$,ctx:t}),je.$set(fn);const gn={};$&2&&(gn.$$scope={dirty:$,ctx:t}),Re.$set(gn);const hn={};$&2&&(hn.$$scope={dirty:$,ctx:t}),Ce.$set(hn);const Bt={};$&2&&(Bt.$$scope={dirty:$,ctx:t}),Ae.$set(Bt);const _n={};$&2&&(_n.$$scope={dirty:$,ctx:t}),Pe.$set(_n);const $n={};$&2&&($n.$$scope={dirty:$,ctx:t}),Ie.$set($n);const vn={};$&2&&(vn.$$scope={dirty:$,ctx:t}),De.$set(vn);const U={};$&2&&(U.$$scope={dirty:$,ctx:t}),Le.$set(U);const Ut={};$&2&&(Ut.$$scope={dirty:$,ctx:t}),Qe.$set(Ut);const kn={};$&2&&(kn.$$scope={dirty:$,ctx:t}),We.$set(kn);const Gt={};$&2&&(Gt.$$scope={dirty:$,ctx:t}),Ve.$set(Gt);const xn={};$&2&&(xn.$$scope={dirty:$,ctx:t}),Be.$set(xn);const Jt={};$&2&&(Jt.$$scope={dirty:$,ctx:t}),Je.$set(Jt);const Yt={};$&2&&(Yt.$$scope={dirty:$,ctx:t}),Ye.$set(Yt);const wn={};$&2&&(wn.$$scope={dirty:$,ctx:t}),Ke.$set(wn);const Kt={};$&2&&(Kt.$$scope={dirty:$,ctx:t}),et.$set(Kt);const bn={};$&2&&(bn.$$scope={dirty:$,ctx:t}),tt.$set(bn);const Zt={};$&2&&(Zt.$$scope={dirty:$,ctx:t}),ot.$set(Zt);const Tn={};$&2&&(Tn.$$scope={dirty:$,ctx:t}),st.$set(Tn);const Mn={};$&2&&(Mn.$$scope={dirty:$,ctx:t}),rt.$set(Mn);const On={};$&2&&(On.$$scope={dirty:$,ctx:t}),at.$set(On)},i(t){Qn||(T(n.$$.fragment,t),T(lt.$$.fragment,t),T(mt.$$.fragment,t),T(dt.$$.fragment,t),T(ct.$$.fragment,t),T(ft.$$.fragment,t),T(gt.$$.fragment,t),T(ht.$$.fragment,t),T($t.$$.fragment,t),T(Ee.$$.fragment,t),T(je.$$.fragment,t),T(Re.$$.fragment,t),T(vt.$$.fragment,t),T(kt.$$.fragment,t),T(xt.$$.fragment,t),T(bt.$$.fragment,t),T(Ce.$$.fragment,t),T(Ae.$$.fragment,t),T(Pe.$$.fragment,t),T(Tt.$$.fragment,t),T(Mt.$$.fragment,t),T(Ot.$$.fragment,t),T(qt.$$.fragment,t),T(Ie.$$.fragment,t),T(De.$$.fragment,t),T(Le.$$.fragment,t),T(Qe.$$.fragment,t),T(Et.$$.fragment,t),T(jt.$$.fragment,t),T(Rt.$$.fragment,t),T(zt.$$.fragment,t),T(We.$$.fragment,t),T(Ve.$$.fragment,t),T(Be.$$.fragment,t),T(Ct.$$.fragment,t),T(At.$$.fragment,t),T(Pt.$$.fragment,t),T(St.$$.fragment,t),T(Je.$$.fragment,t),T(Ye.$$.fragment,t),T(Ke.$$.fragment,t),T(Nt.$$.fragment,t),T(It.$$.fragment,t),T(Dt.$$.fragment,t),T(et.$$.fragment,t),T(tt.$$.fragment,t),T(ot.$$.fragment,t),T(Lt.$$.fragment,t),T(Qt.$$.fragment,t),T(Ht.$$.fragment,t),T(st.$$.fragment,t),T(rt.$$.fragment,t),T(at.$$.fragment,t),T(Wt.$$.fragment,t),Qn=!0)},o(t){M(n.$$.fragment,t),M(lt.$$.fragment,t),M(mt.$$.fragment,t),M(dt.$$.fragment,t),M(ct.$$.fragment,t),M(ft.$$.fragment,t),M(gt.$$.fragment,t),M(ht.$$.fragment,t),M($t.$$.fragment,t),M(Ee.$$.fragment,t),M(je.$$.fragment,t),M(Re.$$.fragment,t),M(vt.$$.fragment,t),M(kt.$$.fragment,t),M(xt.$$.fragment,t),M(bt.$$.fragment,t),M(Ce.$$.fragment,t),M(Ae.$$.fragment,t),M(Pe.$$.fragment,t),M(Tt.$$.fragment,t),M(Mt.$$.fragment,t),M(Ot.$$.fragment,t),M(qt.$$.fragment,t),M(Ie.$$.fragment,t),M(De.$$.fragment,t),M(Le.$$.fragment,t),M(Qe.$$.fragment,t),M(Et.$$.fragment,t),M(jt.$$.fragment,t),M(Rt.$$.fragment,t),M(zt.$$.fragment,t),M(We.$$.fragment,t),M(Ve.$$.fragment,t),M(Be.$$.fragment,t),M(Ct.$$.fragment,t),M(At.$$.fragment,t),M(Pt.$$.fragment,t),M(St.$$.fragment,t),M(Je.$$.fragment,t),M(Ye.$$.fragment,t),M(Ke.$$.fragment,t),M(Nt.$$.fragment,t),M(It.$$.fragment,t),M(Dt.$$.fragment,t),M(et.$$.fragment,t),M(tt.$$.fragment,t),M(ot.$$.fragment,t),M(Lt.$$.fragment,t),M(Qt.$$.fragment,t),M(Ht.$$.fragment,t),M(st.$$.fragment,t),M(rt.$$.fragment,t),M(at.$$.fragment,t),M(Wt.$$.fragment,t),Qn=!1},d(t){o(s),t&&o(_),t&&o(d),O(n),t&&o(v),t&&o(j),O(lt),t&&o(yn),t&&o(N),O(mt),O(dt),O(ct),O(ft),t&&o(qn),t&&o(me),O(gt),t&&o(En),t&&o(F),O(ht),O($t),O(Ee),O(je),O(Re),O(vt),t&&o(jn),t&&o(de),O(kt),t&&o(Rn),t&&o(z),O(xt),O(bt),O(Ce),O(Ae),O(Pe),O(Tt),t&&o(Fn),t&&o(ue),O(Mt),t&&o(zn),t&&o(C),O(Ot),O(qt),O(Ie),O(De),O(Le),O(Qe),O(Et),t&&o(Cn),t&&o(ge),O(jt),t&&o(An),t&&o(A),O(Rt),O(zt),O(We),O(Ve),O(Be),O(Ct),t&&o(Pn),t&&o(_e),O(At),t&&o(Sn),t&&o(te),O(Pt),O(St),O(Je),O(Ye),O(Ke),t&&o(Nn),t&&o(ve),O(Nt),t&&o(In),t&&o(oe),O(It),O(Dt),O(et),O(tt),O(ot),t&&o(Dn),t&&o(xe),O(Lt),t&&o(Ln),t&&o(P),O(Qt),O(Ht),O(st),O(rt),O(at),O(Wt)}}}const Fl={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"}],title:"Models"};function zl(E){return ll(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Dl extends sl{constructor(s){super();rl(this,s,zl,Rl,al,{})}}export{Dl as default,Fl as metadata};
